### Hierarchy

- IVisualizerUI

## Index

### Constructors

- constructor

### Methods

- hideAddToCart
- hideOrderSample
- renderPlayground
- showAddToCart
- showOrderSample

## Constructors

### constructor

- new IVisualizerUI(): IVisualizerUI

- #### Returns IVisualizerUI

## Methods

### Abstract hideAddToCart

- hideAddToCart(sku: string | number): void

- hide add-to-cart button

  #### Parameters

  - ##### sku: string | number

  #### Returns void

### Abstract hideOrderSample

- hideOrderSample(sku: string | number): void

- hide order-sample button

  #### Parameters

  - ##### sku: string | number

  #### Returns void

### Abstract renderPlayground

- renderPlayground(): void

- #### Returns void

### Abstract showAddToCart

- showAddToCart(sku: string | number): void

- show add-to-cart button

  #### Parameters

  - ##### sku: string | number

  #### Returns void

### Abstract showOrderSample

- showOrderSample(sku: string | number): void

- show order-sample button

  #### Parameters

  - ##### sku: string | number

  #### Returns void

Generated using TypeDoc